<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Dokumentacja klasy SerialPort</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_serial_port.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#pub-methods">Metody publiczne</a> &#124;
<a href="#pri-methods">Metody prywatne</a> &#124;
<a href="#pri-attribs">Atrybuty prywatne</a> &#124;
<a href="class_serial_port-members.html">Lista wszystkich składowych</a>  </div>
  <div class="headertitle"><div class="title">Dokumentacja klasy SerialPort</div></div>
</div><!--header-->
<div class="contents">

<p>Modeluje port szeregowy.  
 <a href="class_serial_port.html#details">Więcej...</a></p>

<p><code>#include &lt;<a class="el" href="_serial_port_8hpp_source.html">SerialPort.hpp</a>&gt;</code></p>
<div class="dynheader">
Diagram współpracy dla SerialPort:</div>
<div class="dyncontent">
<div class="center"><img src="class_serial_port__coll__graph.png" border="0" usemap="#a_serial_port_coll__map" alt="Collaboration graph"/></div>
<map name="a_serial_port_coll__map" id="a_serial_port_coll__map">
<area shape="rect" title="Modeluje port szeregowy." alt="" coords="7,93,86,119"/>
<area shape="rect" href="class_robot_data.html" title="Zbiór wszystkich danych otrzymywanych z robota." alt="" coords="5,5,88,31"/>
<area shape="poly" title=" " alt="" coords="49,45,49,93,44,93,44,45"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legenda</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Metody publiczne</h2></td></tr>
<tr class="memitem:aca7d6ec84770df9715926afd3226454b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_serial_port.html#aca7d6ec84770df9715926afd3226454b">SerialPort</a> ()</td></tr>
<tr class="memdesc:aca7d6ec84770df9715926afd3226454b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Inicjalizuje obiekt klasy <a class="el" href="class_serial_port.html" title="Modeluje port szeregowy.">SerialPort</a>.  <br /></td></tr>
<tr class="separator:aca7d6ec84770df9715926afd3226454b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a04a364848114cc5e6d9fb618b6b0a66d"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_serial_port.html#a04a364848114cc5e6d9fb618b6b0a66d">keepReading</a> ()</td></tr>
<tr class="memdesc:a04a364848114cc5e6d9fb618b6b0a66d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Metoda decydująca o kontynuacji czytania.  <br /></td></tr>
<tr class="separator:a04a364848114cc5e6d9fb618b6b0a66d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af29d6aadc436a6440cfa66fbf8c403ad"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_serial_port.html#af29d6aadc436a6440cfa66fbf8c403ad">receiveData</a> ()</td></tr>
<tr class="memdesc:af29d6aadc436a6440cfa66fbf8c403ad"><td class="mdescLeft">&#160;</td><td class="mdescRight">Odbiera dane z portu.  <br /></td></tr>
<tr class="separator:af29d6aadc436a6440cfa66fbf8c403ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab8617347c0bd495e80d39e563ec8e750"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_serial_port.html#ab8617347c0bd495e80d39e563ec8e750">startConnection</a> ()</td></tr>
<tr class="memdesc:ab8617347c0bd495e80d39e563ec8e750"><td class="mdescLeft">&#160;</td><td class="mdescRight">Otwiera port szeregowy.  <br /></td></tr>
<tr class="separator:ab8617347c0bd495e80d39e563ec8e750"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a58d7a924c500dbbd169ab7ed0f60afef"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_serial_port.html#a58d7a924c500dbbd169ab7ed0f60afef">endConnection</a> ()</td></tr>
<tr class="memdesc:a58d7a924c500dbbd169ab7ed0f60afef"><td class="mdescLeft">&#160;</td><td class="mdescRight">Kończy połączenie z portem szeregowym.  <br /></td></tr>
<tr class="separator:a58d7a924c500dbbd169ab7ed0f60afef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa62756463c259f5a8e5d203227109322"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_robot_data.html">RobotData</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_serial_port.html#aa62756463c259f5a8e5d203227109322">returnRobotData</a> ()</td></tr>
<tr class="memdesc:aa62756463c259f5a8e5d203227109322"><td class="mdescLeft">&#160;</td><td class="mdescRight">Zwraca wskaźnik do obiektu z danymi robota.  <br /></td></tr>
<tr class="separator:aa62756463c259f5a8e5d203227109322"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Metody prywatne</h2></td></tr>
<tr class="memitem:a19e9af50f81a100e0e9bbaa5e2027b3d"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_serial_port.html#a19e9af50f81a100e0e9bbaa5e2027b3d">returnDecriptor</a> () const</td></tr>
<tr class="memdesc:a19e9af50f81a100e0e9bbaa5e2027b3d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Zwraca deskryptor pliku.  <br /></td></tr>
<tr class="separator:a19e9af50f81a100e0e9bbaa5e2027b3d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Atrybuty prywatne</h2></td></tr>
<tr class="memitem:a343697523d58e3812ba0999cfa122f2d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_robot_data.html">RobotData</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_serial_port.html#a343697523d58e3812ba0999cfa122f2d">data</a></td></tr>
<tr class="memdesc:a343697523d58e3812ba0999cfa122f2d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Dane z robota.  <br /></td></tr>
<tr class="separator:a343697523d58e3812ba0999cfa122f2d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a97cc08ccce84780fd625ea8ae4dcc917"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_serial_port.html#a97cc08ccce84780fd625ea8ae4dcc917">keep_reading</a> = false</td></tr>
<tr class="memdesc:a97cc08ccce84780fd625ea8ae4dcc917"><td class="mdescLeft">&#160;</td><td class="mdescRight">Zmienna decydująca o działaniu wątku.  <br /></td></tr>
<tr class="separator:a97cc08ccce84780fd625ea8ae4dcc917"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a222bb0e736430908b2145a1e24459d67"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_serial_port.html#a222bb0e736430908b2145a1e24459d67">port_desc</a> = -1</td></tr>
<tr class="memdesc:a222bb0e736430908b2145a1e24459d67"><td class="mdescLeft">&#160;</td><td class="mdescRight">Deskryptor pliku portu szeregowego.  <br /></td></tr>
<tr class="separator:a222bb0e736430908b2145a1e24459d67"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Opis szczegółowy</h2>
<div class="textblock"><p>Klasa <a class="el" href="class_serial_port.html" title="Modeluje port szeregowy.">SerialPort</a> dodaje nowe sloty do klasy QSerialPort, które są implementowane z myślą o komunikacji z robotem. </p>

<p class="definition">Definicja w linii <a class="el" href="_serial_port_8hpp_source.html#l00041">41</a> pliku <a class="el" href="_serial_port_8hpp_source.html">SerialPort.hpp</a>.</p>
</div><h2 class="groupheader">Dokumentacja konstruktora i destruktora</h2>
<a id="aca7d6ec84770df9715926afd3226454b" name="aca7d6ec84770df9715926afd3226454b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aca7d6ec84770df9715926afd3226454b">&#9670;&#160;</a></span>SerialPort()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">SerialPort::SerialPort </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Konstruktor domyślny. </p>

<p class="definition">Definicja w linii <a class="el" href="_serial_port_8cpp_source.html#l00013">13</a> pliku <a class="el" href="_serial_port_8cpp_source.html">SerialPort.cpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Dokumentacja funkcji składowych</h2>
<a id="a19e9af50f81a100e0e9bbaa5e2027b3d" name="a19e9af50f81a100e0e9bbaa5e2027b3d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a19e9af50f81a100e0e9bbaa5e2027b3d">&#9670;&#160;</a></span>returnDecriptor()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int SerialPort::returnDecriptor </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="section return"><dt>Zwraca</dt><dd>Liczba symbolizująca deskryptor </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="_serial_port_8hpp_source.html#l00063">63</a> pliku <a class="el" href="_serial_port_8hpp_source.html">SerialPort.hpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_serial_port_a19e9af50f81a100e0e9bbaa5e2027b3d_icgraph.png" border="0" usemap="#aclass_serial_port_a19e9af50f81a100e0e9bbaa5e2027b3d_icgraph" alt=""/></div>
<map name="aclass_serial_port_a19e9af50f81a100e0e9bbaa5e2027b3d_icgraph" id="aclass_serial_port_a19e9af50f81a100e0e9bbaa5e2027b3d_icgraph">
<area shape="rect" title="Zwraca deskryptor pliku." alt="" coords="423,5,593,31"/>
<area shape="rect" href="class_serial_port.html#af29d6aadc436a6440cfa66fbf8c403ad" title="Odbiera dane z portu." alt="" coords="220,5,375,31"/>
<area shape="poly" title=" " alt="" coords="409,21,375,21,375,15,409,15"/>
<area shape="rect" href="_serial_port_8cpp.html#a6362cdaadde6e3f843a85a3713bb1e0c" title="Funkcja wykonywana przez wątek czytający." alt="" coords="104,5,172,31"/>
<area shape="poly" title=" " alt="" coords="207,21,172,21,172,15,207,15"/>
<area shape="rect" href="main_8cpp.html#a0ddf1224851353fc92bfbff6f499fa97" title=" " alt="" coords="5,5,56,31"/>
<area shape="poly" title=" " alt="" coords="90,21,56,21,56,15,90,15"/>
</map>
</div>

</div>
</div>
<a id="a04a364848114cc5e6d9fb618b6b0a66d" name="a04a364848114cc5e6d9fb618b6b0a66d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a04a364848114cc5e6d9fb618b6b0a66d">&#9670;&#160;</a></span>keepReading()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool SerialPort::keepReading </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="section return"><dt>Zwraca</dt><dd>True dla dalszego czytania lub False dla przerwania </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="_serial_port_8hpp_source.html#l00075">75</a> pliku <a class="el" href="_serial_port_8hpp_source.html">SerialPort.hpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_serial_port_a04a364848114cc5e6d9fb618b6b0a66d_icgraph.png" border="0" usemap="#aclass_serial_port_a04a364848114cc5e6d9fb618b6b0a66d_icgraph" alt=""/></div>
<map name="aclass_serial_port_a04a364848114cc5e6d9fb618b6b0a66d_icgraph" id="aclass_serial_port_a04a364848114cc5e6d9fb618b6b0a66d_icgraph">
<area shape="rect" title="Metoda decydująca o kontynuacji czytania." alt="" coords="220,5,380,31"/>
<area shape="rect" href="_serial_port_8cpp.html#a6362cdaadde6e3f843a85a3713bb1e0c" title="Funkcja wykonywana przez wątek czytający." alt="" coords="104,5,172,31"/>
<area shape="poly" title=" " alt="" coords="206,21,172,21,172,15,206,15"/>
<area shape="rect" href="main_8cpp.html#a0ddf1224851353fc92bfbff6f499fa97" title=" " alt="" coords="5,5,56,31"/>
<area shape="poly" title=" " alt="" coords="90,21,56,21,56,15,90,15"/>
</map>
</div>

</div>
</div>
<a id="af29d6aadc436a6440cfa66fbf8c403ad" name="af29d6aadc436a6440cfa66fbf8c403ad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af29d6aadc436a6440cfa66fbf8c403ad">&#9670;&#160;</a></span>receiveData()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool SerialPort::receiveData </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Czyta dane z portu.</p>
<dl class="section return"><dt>Zwraca</dt><dd>True jeżeli wczytanie się powiodło lub False jeżeli nie</dd></dl>
<p>Tworzy tablicę na ramkę danych a następnie wczytuje ramkę z portu. Ramkę przekazuje do funkcji <a class="el" href="_serial_port_8hpp.html#a21626d35c8ce984e1085d6224f0ba720" title="Analizuje otrzymaną ramkę danych.">parseDataFrame()</a> , która zwraca true jeżeli ramka jest prawidłowa lub false jeżeli jest niekompletna lub błędnie odczytana.</p>
<dl class="params"><dt>Parametry</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">data</td><td>- obiekt przechowywujący wszystkie dane robota</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Zwraca</dt><dd>Zwraca true jeżeli czytanie i aktualizacja danych została przeprowadzona pomyślnie lub false w przeciwnym wypadku. </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="_serial_port_8cpp_source.html#l00069">69</a> pliku <a class="el" href="_serial_port_8cpp_source.html">SerialPort.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_serial_port_af29d6aadc436a6440cfa66fbf8c403ad_cgraph.png" border="0" usemap="#aclass_serial_port_af29d6aadc436a6440cfa66fbf8c403ad_cgraph" alt=""/></div>
<map name="aclass_serial_port_af29d6aadc436a6440cfa66fbf8c403ad_cgraph" id="aclass_serial_port_af29d6aadc436a6440cfa66fbf8c403ad_cgraph">
<area shape="rect" title="Odbiera dane z portu." alt="" coords="5,128,160,153"/>
<area shape="rect" href="_serial_port_8cpp.html#a21626d35c8ce984e1085d6224f0ba720" title="Analizuje otrzymaną ramkę danych." alt="" coords="234,79,353,104"/>
<area shape="poly" title=" " alt="" coords="137,125,225,105,226,110,138,131"/>
<area shape="rect" href="class_serial_port.html#a19e9af50f81a100e0e9bbaa5e2027b3d" title="Zwraca deskryptor pliku." alt="" coords="208,128,379,153"/>
<area shape="poly" title=" " alt="" coords="160,138,194,138,194,143,160,143"/>
<area shape="rect" href="odbieranie_8hh.html#aac03f023f654bbad587c2f5c0894e0bf" title=" " alt="" coords="237,177,349,203"/>
<area shape="poly" title=" " alt="" coords="138,151,226,172,225,177,137,156"/>
<area shape="rect" href="_serial_port_8cpp.html#a0466d31f193efdfcc7b4d13472a27254" title="Sprawdza zgodność sumy kontrolnej CRC." alt="" coords="464,5,548,31"/>
<area shape="poly" title=" " alt="" coords="326,76,426,39,450,32,451,37,428,45,328,81"/>
<area shape="rect" href="class_robot_data.html#affa0add6183e662083841442a9976cb3" title="Aktualizuje dane z transoptorów odbiciowych." alt="" coords="430,55,582,80"/>
<area shape="poly" title=" " alt="" coords="353,82,416,75,416,80,353,87"/>
<area shape="rect" href="class_robot_data.html#aee64ded96944fd7d61557f566a5c804f" title="Aktualizuje dane z czujników odległości." alt="" coords="427,104,585,129"/>
<area shape="poly" title=" " alt="" coords="353,96,414,103,413,108,353,101"/>
<area shape="rect" href="class_robot_data.html#adc9b093e38bfe8ae8eaf3f70e5cacefa" title="Aktualizuje prędkości silników." alt="" coords="429,153,583,179"/>
<area shape="poly" title=" " alt="" coords="346,101,380,113,428,138,449,146,447,151,426,143,378,118,345,107"/>
<area shape="rect" href="_serial_port_8cpp.html#a750bdeca814dbfc7b7010d4b30c56023" title="Oblicza sumę kontrolną otrzymanej ramki danych." alt="" coords="633,5,680,31"/>
<area shape="poly" title=" " alt="" coords="548,15,619,15,619,21,548,21"/>
</map>
</div>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_serial_port_af29d6aadc436a6440cfa66fbf8c403ad_icgraph.png" border="0" usemap="#aclass_serial_port_af29d6aadc436a6440cfa66fbf8c403ad_icgraph" alt=""/></div>
<map name="aclass_serial_port_af29d6aadc436a6440cfa66fbf8c403ad_icgraph" id="aclass_serial_port_af29d6aadc436a6440cfa66fbf8c403ad_icgraph">
<area shape="rect" title="Odbiera dane z portu." alt="" coords="220,5,375,31"/>
<area shape="rect" href="_serial_port_8cpp.html#a6362cdaadde6e3f843a85a3713bb1e0c" title="Funkcja wykonywana przez wątek czytający." alt="" coords="104,5,172,31"/>
<area shape="poly" title=" " alt="" coords="207,21,172,21,172,15,207,15"/>
<area shape="rect" href="main_8cpp.html#a0ddf1224851353fc92bfbff6f499fa97" title=" " alt="" coords="5,5,56,31"/>
<area shape="poly" title=" " alt="" coords="90,21,56,21,56,15,90,15"/>
</map>
</div>

</div>
</div>
<a id="ab8617347c0bd495e80d39e563ec8e750" name="ab8617347c0bd495e80d39e563ec8e750"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab8617347c0bd495e80d39e563ec8e750">&#9670;&#160;</a></span>startConnection()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool SerialPort::startConnection </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Otwiera port szeregowy w trybie ReadOnly. Jeżeli operacja zostanie przeprowadzona pomyślnie, ustawiane są odpowiednie parametry komunikacji: <br  />
- BaudRate = 115200 <br  />
- StopBits = 1 <br  />
- DataBIts = 8 <br  />
- Parity = None</p>
<dl class="section return"><dt>Zwraca</dt><dd>Zwraca true, jeżeli port został otworzony i skonfigurowany lub false w przeciwnym wypadku. </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="_serial_port_8cpp_source.html#l00028">28</a> pliku <a class="el" href="_serial_port_8cpp_source.html">SerialPort.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_serial_port_ab8617347c0bd495e80d39e563ec8e750_cgraph.png" border="0" usemap="#aclass_serial_port_ab8617347c0bd495e80d39e563ec8e750_cgraph" alt=""/></div>
<map name="aclass_serial_port_ab8617347c0bd495e80d39e563ec8e750_cgraph" id="aclass_serial_port_ab8617347c0bd495e80d39e563ec8e750_cgraph">
<area shape="rect" title="Otwiera port szeregowy." alt="" coords="5,80,181,105"/>
<area shape="rect" href="transparam_8cpp.html#abbc868041fa51d5f4d3923d8b3488867" title="Ustawianie parametrów transmisji." alt="" coords="229,80,343,105"/>
<area shape="poly" title=" " alt="" coords="182,90,215,90,215,95,182,95"/>
<area shape="rect" href="transparam_8cpp.html#a7585c6873219f5b0cae001b4e95a60af" title=" " alt="" coords="391,5,591,31"/>
<area shape="poly" title=" " alt="" coords="308,78,346,58,390,40,414,32,416,37,392,44,348,63,311,82"/>
<area shape="rect" href="transparam_8cpp.html#a0728e8853a57cc2290d9739c1108d2fc" title=" " alt="" coords="397,55,585,80"/>
<area shape="poly" title=" " alt="" coords="343,83,383,78,384,83,343,88"/>
<area shape="rect" href="transparam_8cpp.html#ad26bdc052d530d02b4353582e1d9568b" title=" " alt="" coords="395,104,586,129"/>
<area shape="poly" title=" " alt="" coords="343,97,382,101,381,107,343,102"/>
<area shape="rect" href="transparam_8cpp.html#acb0647d46d75d5baa3508f59750fd510" title=" " alt="" coords="391,153,590,179"/>
<area shape="poly" title=" " alt="" coords="313,103,392,138,420,147,419,152,390,143,310,108"/>
</map>
</div>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_serial_port_ab8617347c0bd495e80d39e563ec8e750_icgraph.png" border="0" usemap="#aclass_serial_port_ab8617347c0bd495e80d39e563ec8e750_icgraph" alt=""/></div>
<map name="aclass_serial_port_ab8617347c0bd495e80d39e563ec8e750_icgraph" id="aclass_serial_port_ab8617347c0bd495e80d39e563ec8e750_icgraph">
<area shape="rect" title="Otwiera port szeregowy." alt="" coords="504,5,680,31"/>
<area shape="rect" href="class_main_window.html#a31824aa1482e54ed17467596c8b3bb24" title="Rozpoczyna komunikację z portem szeregowym." alt="" coords="229,5,456,31"/>
<area shape="poly" title=" " alt="" coords="490,21,456,21,456,15,490,15"/>
<area shape="rect" href="class_main_window.html#ab956ae0fe06c20af5093977debac8047" title="Inicjalizuje obiekt klasy MainWindow." alt="" coords="5,5,181,31"/>
<area shape="poly" title=" " alt="" coords="216,21,181,21,181,15,216,15"/>
</map>
</div>

</div>
</div>
<a id="a58d7a924c500dbbd169ab7ed0f60afef" name="a58d7a924c500dbbd169ab7ed0f60afef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a58d7a924c500dbbd169ab7ed0f60afef">&#9670;&#160;</a></span>endConnection()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool SerialPort::endConnection </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Zamyka otwarty deskryptor i powoduje zakończenie pracy wątku, dzięki ustawieniu flagi keep_reading na fałsz. </p>

<p class="definition">Definicja w linii <a class="el" href="_serial_port_8cpp_source.html#l00050">50</a> pliku <a class="el" href="_serial_port_8cpp_source.html">SerialPort.cpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_serial_port_a58d7a924c500dbbd169ab7ed0f60afef_icgraph.png" border="0" usemap="#aclass_serial_port_a58d7a924c500dbbd169ab7ed0f60afef_icgraph" alt=""/></div>
<map name="aclass_serial_port_a58d7a924c500dbbd169ab7ed0f60afef_icgraph" id="aclass_serial_port_a58d7a924c500dbbd169ab7ed0f60afef_icgraph">
<area shape="rect" title="Kończy połączenie z portem szeregowym." alt="" coords="499,5,669,31"/>
<area shape="rect" href="class_main_window.html#a0dc08b98850414e14c4ca6eff329346e" title="Kończy komunikację z portem szeregowym." alt="" coords="229,5,451,31"/>
<area shape="poly" title=" " alt="" coords="485,21,451,21,451,15,485,15"/>
<area shape="rect" href="class_main_window.html#ab956ae0fe06c20af5093977debac8047" title="Inicjalizuje obiekt klasy MainWindow." alt="" coords="5,5,181,31"/>
<area shape="poly" title=" " alt="" coords="216,21,182,21,182,15,216,15"/>
</map>
</div>

</div>
</div>
<a id="aa62756463c259f5a8e5d203227109322" name="aa62756463c259f5a8e5d203227109322"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa62756463c259f5a8e5d203227109322">&#9670;&#160;</a></span>returnRobotData()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_robot_data.html">RobotData</a> * SerialPort::returnRobotData </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="section return"><dt>Zwraca</dt><dd>Adres obiektu z danymi </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="_serial_port_8hpp_source.html#l00095">95</a> pliku <a class="el" href="_serial_port_8hpp_source.html">SerialPort.hpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_serial_port_aa62756463c259f5a8e5d203227109322_icgraph.png" border="0" usemap="#aclass_serial_port_aa62756463c259f5a8e5d203227109322_icgraph" alt=""/></div>
<map name="aclass_serial_port_aa62756463c259f5a8e5d203227109322_icgraph" id="aclass_serial_port_aa62756463c259f5a8e5d203227109322_icgraph">
<area shape="rect" title="Zwraca wskaźnik do obiektu z danymi robota." alt="" coords="464,5,643,31"/>
<area shape="rect" href="class_main_window.html#a29e2501ffde7ab9786bd5ab02f055550" title="Aktualizuje dane w każdym widgecie." alt="" coords="229,5,416,31"/>
<area shape="poly" title=" " alt="" coords="450,21,416,21,416,15,450,15"/>
<area shape="rect" href="class_main_window.html#ab956ae0fe06c20af5093977debac8047" title="Inicjalizuje obiekt klasy MainWindow." alt="" coords="5,5,181,31"/>
<area shape="poly" title=" " alt="" coords="216,21,182,21,182,15,216,15"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Dokumentacja atrybutów składowych</h2>
<a id="a343697523d58e3812ba0999cfa122f2d" name="a343697523d58e3812ba0999cfa122f2d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a343697523d58e3812ba0999cfa122f2d">&#9670;&#160;</a></span>data</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_robot_data.html">RobotData</a> SerialPort::data</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Obiekt przechowywujący wszystkie dane otrzymywane od robota. </p>

<p class="definition">Definicja w linii <a class="el" href="_serial_port_8hpp_source.html#l00049">49</a> pliku <a class="el" href="_serial_port_8hpp_source.html">SerialPort.hpp</a>.</p>

</div>
</div>
<a id="a97cc08ccce84780fd625ea8ae4dcc917" name="a97cc08ccce84780fd625ea8ae4dcc917"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a97cc08ccce84780fd625ea8ae4dcc917">&#9670;&#160;</a></span>keep_reading</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool SerialPort::keep_reading = false</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="_serial_port_8hpp_source.html#l00053">53</a> pliku <a class="el" href="_serial_port_8hpp_source.html">SerialPort.hpp</a>.</p>

</div>
</div>
<a id="a222bb0e736430908b2145a1e24459d67" name="a222bb0e736430908b2145a1e24459d67"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a222bb0e736430908b2145a1e24459d67">&#9670;&#160;</a></span>port_desc</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int SerialPort::port_desc = -1</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="_serial_port_8hpp_source.html#l00057">57</a> pliku <a class="el" href="_serial_port_8hpp_source.html">SerialPort.hpp</a>.</p>

</div>
</div>
<hr/>Dokumentacja dla tej klasy została wygenerowana z plików:<ul>
<li><a class="el" href="_serial_port_8hpp_source.html">SerialPort.hpp</a></li>
<li><a class="el" href="_serial_port_8cpp_source.html">SerialPort.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_serial_port.html">SerialPort</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
